Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354644 - [RH Ceph 2.0 / 10.2.2-15] monitor segfault during rados test_watch_notify
Summary: [RH Ceph 2.0 / 10.2.2-15] monitor segfault during rados test_watch_notify
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Kefu Chai
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 20:18 UTC by Vasu Kulkarni
Modified: 2017-07-30 15:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 07:57:51 UTC


Attachments (Terms of Use)

Description Vasu Kulkarni 2016-07-11 20:18:37 UTC
Description of problem:

Seen during 2 tests
1) rados:thrash/{hobj-sort.yaml rados.yaml 0-size-min-size-overrides/2-size-1-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml clusters/{fixed-2.yaml openstack.yaml} fs/xfs.yaml msgr/simple.yaml msgr-failures/few.yaml thrashers/morepggrow.yaml workloads/rados_api_tests.yaml}

2)  rados:thrash/{hobj-sort.yaml rados.yaml 0-size-min-size-overrides/2-size-1-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml clusters/{fixed-2.yaml openstack.yaml} fs/xfs.yaml msgr/simple.yaml msgr-failures/fastclose.yaml thrashers/mapgap.yaml workloads/rados_api_tests.yaml}


2016-07-08T07:16:51.489 INFO:tasks.workunit.client.0.pluto009.stdout:test watch_notify on pid 28139
2016-07-08T07:16:51.490 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: warning: line 29: 'osd_pool_default_size' in section 'global' redefined
2016-07-08T07:16:51.490 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [==========] Running 27 tests from 5 test cases.
2016-07-08T07:16:51.491 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [----------] Global test environment set-up.
2016-07-08T07:16:51.515 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [----------] 2 tests from LibRadosMiscVersion
2016-07-08T07:16:51.555 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [ RUN      ] LibRadosMiscVersion.Version
2016-07-08T07:16:51.556 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [       OK ] LibRadosMiscVersion.Version (0 ms)
2016-07-08T07:16:51.581 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [ RUN      ] LibRadosMiscVersion.VersionPP
2016-07-08T07:16:51.621 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [       OK ] LibRadosMiscVersion.VersionPP (0 ms)
2016-07-08T07:16:51.622 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [----------] 2 tests from LibRadosMiscVersion (0 ms total)
2016-07-08T07:16:51.660 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc:
2016-07-08T07:16:51.662 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [----------] 1 test from LibRadosMiscConnectFailure
2016-07-08T07:16:51.703 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: [ RUN      ] LibRadosMiscConnectFailure.ConnectFailure
2016-07-08T07:16:51.703 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.023655 7f22f4c998c0 -1 asok(0x7f22fe83c910) AdminSocketConfigObs::init: failed: AdminSocket::bind_and_listen: failed to bind the UNIX domain socket to '/var/run/ceph/ceph-client.admin.28056.asok': (17) File exists
2016-07-08T07:16:51.704 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.023673 7f22f4c998c0 10 monclient(hunting): build_initial_monmap
2016-07-08T07:16:51.707 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.023790 7f22f4c998c0  1 librados: starting msgr at :/0
2016-07-08T07:16:51.745 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.023795 7f22f4c998c0  1 librados: starting objecter
2016-07-08T07:16:51.785 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.024710 7f22f4c998c0  1 -- :/0 messenger.start
2016-07-08T07:16:51.786 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.024754 7f22f4c998c0  1 librados: setting wanted keys
2016-07-08T07:16:51.787 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.024759 7f22f4c998c0  1 librados: calling monclient init
2016-07-08T07:16:51.788 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.024761 7f22f4c998c0 10 monclient(hunting): init
2016-07-08T07:16:51.788 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.024774 7f22f4c998c0 10 monclient(hunting): auth_supported 2 method cephx
2016-07-08T07:16:51.789 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025640 7f22f4c998c0 10 monclient(hunting): _reopen_session rank -1 name
2016-07-08T07:16:51.790 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025706 7f22f4c998c0 10 monclient(hunting): picked mon.c con 0x7f22fe84e360 addr 10.8.129.109:6790/0
2016-07-08T07:16:51.791 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025722 7f22f4c998c0 10 monclient(hunting): _send_mon_message to mon.c at 10.8.129.109:6790/0
2016-07-08T07:16:51.801 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025726 7f22f4c998c0  1 -- :/381627010 --> 10.8.129.109:6790/0 -- auth(proto 0 30 bytes epoch 0) v1 -- ?+0 0x7f22fe850d40 con 0x7f22fe84e360
2016-07-08T07:16:51.802 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025736 7f22f4c998c0 10 monclient(hunting): renew_subs
2016-07-08T07:16:51.803 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025741 7f22f4c998c0 10 monclient(hunting): authenticate will time out at 2016-07-08 11:16:49.025741
2016-07-08T07:16:51.804 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025801 7f22f4c998c0  0 monclient(hunting): authenticate timed out after 1e-09
2016-07-08T07:16:51.805 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025826 7f22f4c998c0  0 librados: client.admin authentication error (110) Connection timed out
2016-07-08T07:16:51.806 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025845 7f22f4c998c0 20 client.?.objecter shutdown clearing up homeless session...
2016-07-08T07:16:51.809 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025860 7f22f4c998c0 10 monclient(hunting): shutdown
2016-07-08T07:16:51.810 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025862 7f22f4c998c0 20 monclient(hunting): shutdown discarding pending message mon_subscribe({monmap=0+}) v2
2016-07-08T07:16:51.851 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.025872 7f22f4c998c0  1 -- :/381627010 mark_down 0x7f22fe84e360 -- 0x7f22fe879430
2016-07-08T07:16:51.875 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.026015 7f22f4c998c0  1 -- :/381627010 mark_down_all
2016-07-08T07:16:51.916 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.026370 7f22f4c998c0  1 -- :/381627010 shutdown complete.
2016-07-08T07:16:51.941 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.026380 7f22f4c998c0  1 librados: shutdown
2016-07-08T07:16:51.942 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.026449 7f22f4c998c0 10 monclient(hunting): build_initial_monmap
2016-07-08T07:16:51.943 INFO:tasks.workunit.client.0.pluto009.stdout:                 api_misc: 2016-07-08 11:16:49.026531 7f22f4c998c0  1 librados: starting msgr at :/0
2016-07-08T07:16:51.949 INFO:tasks.ceph.mon.b.pluto004.stderr:*** Caught signal (Segmentation fault) **
2016-07-08T07:16:51.970 INFO:tasks.ceph.mon.b.pluto004.stderr: in thread 7ff7169b4700 thread_name:ms_dispatch
2016-07-08T07:16:51.971 INFO:tasks.ceph.mon.b.pluto004.stderr: ceph version 10.2.2-15.el7cp (60cd52496ca02bdde9c2f4191e617f75166d87b6)
2016-07-08T07:16:52.012 INFO:tasks.ceph.mon.b.pluto004.stderr: 1: (()+0x50560a) [0x7ff71e6ac60a]
2016-07-08T07:16:52.013 INFO:tasks.ceph.mon.b.pluto004.stderr: 2: (()+0xf100) [0x7ff71cf2f100]
2016-07-08T07:16:52.054 INFO:tasks.ceph.mon.b.pluto004.stderr: 3: (std::string::assign(std::string const&)+0x20) [0x7ff71c091fc0]
2016-07-08T07:16:52.055 INFO:tasks.ceph.mon.b.pluto004.stderr: 4: (Monitor::handle_command(std::shared_ptr<MonOpRequest>)+0xe15) [0x7ff71e438605]
2016-07-08T07:16:52.055 INFO:tasks.ceph.mon.b.pluto004.stderr: 5: (Monitor::dispatch_op(std::shared_ptr<MonOpRequest>)+0x33b) [0x7ff71e44519b]
2016-07-08T07:16:52.061 INFO:tasks.ceph.mon.b.pluto004.stderr: 6: (Monitor::_ms_dispatch(Message*)+0x6c9) [0x7ff71e446539]
2016-07-08T07:16:52.101 INFO:tasks.ceph.mon.b.pluto004.stderr: 7: (Monitor::ms_dispatch(Message*)+0x23) [0x7ff71e467083]
2016-07-08T07:16:52.103 INFO:tasks.ceph.mon.b.pluto004.stderr: 8: (DispatchQueue::entry()+0x78a) [0x7ff71e8bfdfa]
2016-07-08T07:16:52.104 INFO:tasks.ceph.mon.b.pluto004.stderr: 9: (DispatchQueue::DispatchThread::entry()+0xd) [0x7ff71e7b52dd]
2016-07-08T07:16:52.105 INFO:tasks.ceph.mon.b.pluto004.stderr: 10: (()+0x7dc5) [0x7ff71cf27dc5]
2016-07-08T07:16:52.105 INFO:tasks.ceph.mon.b.pluto004.stderr: 11: (clone()+0x6d) [0x7ff71b7efced]
2016-07-08T07:16:52.106 INFO:tasks.ceph.mon.b.pluto004.stderr:2016-07-08 11:16:49.621750 7ff7169b4700 -1 *** Caught signal (Segmentation fault) **
2016-07-08T07:16:52.107 INFO:tasks.ceph.mon.b.pluto004.stderr: in thread 7ff7169b4700 thread_name:ms_dispatch
2016-07-08T07:16:52.108 INFO:tasks.ceph.mon.b.pluto004.stderr:
2016-07-08T07:16:52.117 INFO:tasks.ceph.mon.b.pluto004.stderr: ceph version 10.2.2-15.el7cp (60cd52496ca02bdde9c2f4191e617f75166d87b6)
2016-07-08T07:16:52.118 INFO:tasks.ceph.mon.b.pluto004.stderr: 1: (()+0x50560a) [0x7ff71e6ac60a]
2016-07-08T07:16:52.139 INFO:tasks.ceph.mon.b.pluto004.stderr: 2: (()+0xf100) [0x7ff71cf2f100]
2016-07-08T07:16:52.140 INFO:tasks.ceph.mon.b.pluto004.stderr: 3: (std::string::assign(std::string const&)+0x20) [0x7ff71c091fc0]
2016-07-08T07:16:52.141 INFO:tasks.ceph.mon.b.pluto004.stderr: 4: (Monitor::handle_command(std::shared_ptr<MonOpRequest>)+0xe15) [0x7ff71e438605]
2016-07-08T07:16:52.142 INFO:tasks.ceph.mon.b.pluto004.stderr: 5: (Monitor::dispatch_op(std::shared_ptr<MonOpRequest>)+0x33b) [0x7ff71e44519b]
2016-07-08T07:16:52.142 INFO:tasks.ceph.mon.b.pluto004.stderr: 6: (Monitor::_ms_dispatch(Message*)+0x6c9) [0x7ff71e446539]
2016-07-08T07:16:52.143 INFO:tasks.ceph.mon.b.pluto004.stderr: 7: (Monitor::ms_dispatch(Message*)+0x23) [0x7ff71e467083]
2016-07-08T07:16:52.144 INFO:tasks.ceph.mon.b.pluto004.stderr: 8: (DispatchQueue::entry()+0x78a) [0x7ff71e8bfdfa]
2016-07-08T07:16:52.144 INFO:tasks.ceph.mon.b.pluto004.stderr: 9: (DispatchQueue::DispatchThread::entry()+0xd) [0x7ff71e7b52dd]
2016-07-08T07:16:52.157 INFO:tasks.ceph.mon.b.pluto004.stderr: 10: (()+0x7dc5) [0x7ff71cf27dc5]
2016-07-08T07:16:52.158 INFO:tasks.ceph.mon.b.pluto004.stderr: 11: (clone()+0x6d) [0x7ff71b7efced]
2016-07-08T07:16:52.164 INFO:tasks.ceph.mon.b.pluto004.stderr: NOTE: a copy of the executable, or `objdump -rdS <executable>` is needed to interpret this.
2016-07-08T07:16:52.206 INFO:tasks.ceph.mon.b.pluto004.stderr:
2016-07-08T07:16:52.206 INFO:tasks.ceph.mon.b.pluto004.stderr:     0> 2016-07-08 11:16:49.621750 7ff7169b4700 -1 *** Caught signal (Segmentation fault) **
2016-07-08T07:16:52.246 INFO:tasks.ceph.mon.b.pluto004.stderr: in thread 7ff7169b4700 thread_name:ms_dispatch
2016-07-08T07:16:52.247 INFO:tasks.ceph.mon.b.pluto004.stderr:
2016-07-08T07:16:52.287 INFO:tasks.ceph.mon.b.pluto004.stderr: ceph version 10.2.2-15.el7cp (60cd52496ca02bdde9c2f4191e617f75166d87b6)
2016-07-08T07:16:52.288 INFO:tasks.ceph.mon.b.pluto004.stderr: 1: (()+0x50560a) [0x7ff71e6ac60a]
2016-07-08T07:16:52.289 INFO:tasks.ceph.mon.b.pluto004.stderr: 2: (()+0xf100) [0x7ff71cf2f100]
2016-07-08T07:16:52.290 INFO:tasks.ceph.mon.b.pluto004.stderr: 3: (std::string::assign(std::string const&)+0x20) [0x7ff71c091fc0]
2016-07-08T07:16:52.311 INFO:tasks.ceph.mon.b.pluto004.stderr: 4: (Monitor::handle_command(std::shared_ptr<MonOpRequest>)+0xe15) [0x7ff71e438605]
2016-07-08T07:16:52.351 INFO:tasks.ceph.mon.b.pluto004.stderr: 5: (Monitor::dispatch_op(std::shared_ptr<MonOpRequest>)+0x33b) [0x7ff71e44519b]
2016-07-08T07:16:52.353 INFO:tasks.ceph.mon.b.pluto004.stderr: 6: (Monitor::_ms_dispatch(Message*)+0x6c9) [0x7ff71e446539]
2016-07-08T07:16:52.364 INFO:tasks.ceph.mon.b.pluto004.stderr: 7: (Monitor::ms_dispatch(Message*)+0x23) [0x7ff71e467083]
2016-07-08T07:16:52.365 INFO:tasks.ceph.mon.b.pluto004.stderr: 8: (DispatchQueue::entry()+0x78a) [0x7ff71e8bfdfa]
2016-07-08T07:16:52.366 INFO:tasks.ceph.mon.b.pluto004.stderr: 9: (DispatchQueue::DispatchThread::entry()+0xd) [0x7ff71e7b52dd]
2016-07-08T07:16:52.367 INFO:tasks.ceph.mon.b.pluto004.stderr: 10: (()+0x7dc5) [0x7ff71cf27dc5]
2016-07-08T07:16:52.404 INFO:tasks.ceph.mon.b.pluto004.stderr: 11: (clone()+0x6d) [0x7ff71b7efced]
2016-07-08T07:16:52.405 INFO:tasks.ceph.mon.b.pluto004.stderr: NOTE: a copy of the executable, or `objdump -rdS <executable>` is needed to interpret this.
2016-07-08T07:16:52.406 INFO:tasks.ceph.mon.b.pluto004.stderr:
2016-07-08T07:16:52.428 INFO:tasks.ceph.mon.b.pluto004.stderr:daemon-helper: command crashed with signal 11
2016-07-08T07:16:52.921 INFO:tasks.thrashosds.thrasher:in_osds:  [0, 1, 2, 3, 4] out_osds:  [5] dead_osds:  [] live_osds:  [1, 0, 3, 2, 5, 4]

Version-Release number of selected component (if applicable):
10.2.2-15 / RH 7.2


How reproducible:
unknown


Steps to Reproduce:
1) Run the above mentioned steps


Full logs:
http://magna002.ceph.redhat.com/vasu-2016-07-07_20:43:51-rados:thrash-jewel---basic-multi/243929/teuthology.log

The logs has core dump

Comment 2 Brad Hubbard 2016-07-12 04:58:06 UTC
I took a quick look at where we crashed here.

(Monitor::handle_command(std::shared_ptr<MonOpRequest>)+0xe15) [0x7ff71e438605]

2657»···  get_str_vec(prefix, fullcmd);
   0x00000000002915bd <+3533>:»·mov    0x40(%rsp),%rbx
   0x00000000002915ca <+3546>:»·lea    0x400(%rsp),%rax
   0x00000000002915d2 <+3554>:»·mov    %rax,%rsi
   0x00000000002915d5 <+3557>:»·mov    %rax,0xa0(%rsp)
   0x00000000002915dd <+3565>:»·mov    %rbx,%rdi
   0x00000000002915e0 <+3568>:»·callq  0x6f9bf0 <get_str_vec(std::string const&, std::vector<std::string, std::allocator<std::string> >&)> 

2658»···  module = fullcmd[0];
2659»···
2660»···  // validate command is in leader map
2661»···
2662»···  const MonCommand *leader_cmd;
2663»···  leader_cmd = _get_moncommand(prefix,
2664»···                               // the boost underlying this isn't const for some reason
2665»···                               const_cast<MonCommand*>(leader_supported_mon_commands),
2666»···                               leader_supported_mon_commands_size);
   0x0000000000291605 <+3605>:»·mov    0x4d8(%r14),%edx

0xe15 is the offset address in Monitor::handle_command and 0xe15 == 3605 but this is, of course, the return address so I believe we are in the call to get_str_vec which makes it most likely, IMHO, that the "prefix" variable was invalid and caused the tokenizing code in get_str_vec to fail.

Comment 5 Kefu Chai 2016-07-12 07:57:51 UTC
it's a dup of bz#1351264.

*** This bug has been marked as a duplicate of bug 1351264 ***

Comment 6 Brad Hubbard 2016-07-12 08:04:37 UTC
(gdb) bt
#0  0x00007ff71cf2efcb in raise (sig=11) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
#1  0x00007ff71e6ac6d5 in reraise_fatal (signum=11) at global/signal_handler.cc:71
#2  handle_fatal_signal (signum=11) at global/signal_handler.cc:133
#3  <signal handler called>
#4  0x00007ff71c091fc0 in ?? ()
#5  0x00007ff71ecd7dd8 in g_conf ()
#6  0x5fdcff1d84734f00 in ?? ()
#7  0x00007ff7169b1ef0 in ?? ()
#8  0x00007ff7169b1bb0 in ?? ()
#9  0x00007ff71ecd7dd8 in g_conf ()
#10 0x00007ff71e438605 in std::string::operator= (__str=..., this=0x7ff7169b1c10) at /usr/include/c++/4.8.2/bits/basic_string.h:547
#11 Monitor::handle_command (this=this@entry=0x7ff729eaa000, op=...) at mon/Monitor.cc:2658
#12 0x00007ff71e44519b in Monitor::dispatch_op (this=this@entry=0x7ff729eaa000, op=...) at mon/Monitor.cc:3604
#13 0x00007ff71e446539 in Monitor::_ms_dispatch (this=this@entry=0x7ff729eaa000, m=m@entry=0x7ff729d8fe00) at mon/Monitor.cc:3508
#14 0x00007ff71e467083 in Monitor::ms_dispatch (this=0x7ff729eaa000, m=0x7ff729d8fe00) at mon/Monitor.h:903
#15 0x00007ff71e8bfdfa in Messenger::ms_deliver_dispatch (m=0x7ff729d8fe00, this=0x7ff729d68700) at msg/Messenger.h:584
#16 DispatchQueue::entry (this=0x7ff729d688d0) at msg/simple/DispatchQueue.cc:185
#17 0x00007ff71e7b52dd in DispatchQueue::DispatchThread::entry (this=<optimized out>) at msg/simple/DispatchQueue.h:103
#18 0x00007ff71cf27dc5 in start_thread (arg=0x7ff7169b4700) at pthread_create.c:308
#19 0x00007ff71b7efced in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb) f 11
#11 Monitor::handle_command (this=this@entry=0x7ff729eaa000, op=...) at mon/Monitor.cc:2658
2658      module = fullcmd[0];
(gdb) l
2653      string format;
2654      cmd_getval(g_ceph_context, cmdmap, "format", format, string("plain"));
2655      boost::scoped_ptr<Formatter> f(Formatter::create(format));
2656
2657      get_str_vec(prefix, fullcmd);  <--- actually here
2658      module = fullcmd[0];
2659
2660      // validate command is in leader map
2661
2662      const MonCommand *leader_cmd;
(gdb) p (string)prefix
$6 = {
  static npos = <optimized out>, 
  _M_dataplus = {
    <std::allocator<char>> = {
      <__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, 
    members of std::basic_string<char, std::char_traits<char>, std::allocator<char> >::_Alloc_hider: 
    _M_p = 0x7ff71c2db3f8 ""
  }
}
So the problem is prefix was empty when we entered get_str_vec().

This is a duplicate of bz1351264 and there is a patch for this.

Thanks to Kefu and Vikhyat for helping with this.


Note You need to log in before you can comment on or make changes to this bug.